com.google.gwt.safehtml.shared

## Class SafeUriHostedModeUtils

- java.lang.Object
- - com.google.gwt.safehtml.shared.SafeUriHostedModeUtils

    public class SafeUriHostedModeUtils
    extends java.lang.Object

SafeUri utilities whose implementation differs between Development and Production Mode.

This class has a super-source peer that provides the Production Mode implementation.

Do not use this class - it is used for implementation only, and its methods may change in the future.

### Field Summary

Fields
`static java.lang.String` `FORCE_CHECK_VALID_URI` Name of system property that if set, enables checks in server-side code (even if assertions are disabled).
`(package private) static java.lang.String` `HREF_DISCRETE_UCSCHAR` All valid Web Addresses discrete characters, i.e.

### Constructor Summary

Constructors
Constructor and Description
`SafeUriHostedModeUtils()`

### Method Summary

All Methods Static Methods Concrete Methods
`static boolean` `isValidUriCharset(java.lang.String uri)` Tests whether all characters in the given URI are valid Web Addresses characters.
`static void` `maybeCheckValidUri(java.lang.String uri)` Checks if the provided URI is a valid Web Address (per RFC 3987bis).
`static void` `setForceCheckValidUri(boolean check)` Sets a global flag that controls whether or not `maybeCheckValidUri(String)` should perform its check in a server-side environment.
`static void` `setForceCheckValidUriFromProperty()` Sets a global flag that controls whether or not `maybeCheckValidUri(String)` should perform its check in a server-side environment from the value of the "com.google.gwt.safehtml.ForceCheckValidUri" property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HREF_DISCRETE_UCSCHAR

    static final java.lang.String HREF_DISCRETE_UCSCHAR

All valid Web Addresses discrete characters, i.e. the reserved, iunreserved, href-ucschar, and href-pct-form productions from RFC 3986 and RFC 3987bis, with the exception of character ranges.

See Also:
  RFC 3986, RFC 3987bis Web Addresses, Constant Field Values

#### FORCE_CHECK_VALID_URI

    public static final java.lang.String FORCE_CHECK_VALID_URI

Name of system property that if set, enables checks in server-side code (even if assertions are disabled).

See Also:
  Constant Field Values

### Constructor Detail

#### SafeUriHostedModeUtils

    public SafeUriHostedModeUtils()

### Method Detail

#### isValidUriCharset

    public static boolean isValidUriCharset(java.lang.String uri)

Tests whether all characters in the given URI are valid Web Addresses characters.

#### maybeCheckValidUri

    public static void maybeCheckValidUri(java.lang.String uri)

Checks if the provided URI is a valid Web Address (per RFC 3987bis).

Parameters:
  `uri` - the URL to check

#### setForceCheckValidUri

    public static void setForceCheckValidUri(boolean check)

Sets a global flag that controls whether or not `maybeCheckValidUri(String)` should perform its check in a server-side environment.

Parameters:
  `check` - if true, perform server-side checks.

#### setForceCheckValidUriFromProperty

    public static void setForceCheckValidUriFromProperty()

Sets a global flag that controls whether or not `maybeCheckValidUri(String)` should perform its check in a server-side environment from the value of the "com.google.gwt.safehtml.ForceCheckValidUri" property.